# End active scheduled stream
`PUT https://octopus.livepush.io/streams/{stream_id}/config/scheduler/events/{event_id}/end`
Stops a currently running pre-recorded live stream event.

Ending a stream is not instantaneous and may take a few seconds
to fully stop playback and disconnect destinations.
- **Tag:** Stream Scheduler
- **Operation ID:** `putStreamsStreamIdConfigSchedulerEventsEventIdEnd`
- **Authentication:** Bearer token required
- **Docs:** https://developers.livepush.io/stream-scheduler/end-active-scheduled-stream/

### Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `stream_id` | string | yes | Unique identifier of the pre-recorded live stream |
| `event_id` | string | yes | Unique identifier of the active scheduled event |


### Example request

```bash
curl -X PUT 'https://octopus.livepush.io/streams/<stream_id>/config/scheduler/events/<event_id>/end' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```


### Responses


#### 200 — Stream end request accepted


#### 401 — Unauthorized


#### 404 — Stream or event not found

